<div class="mid-body">
  <div class="container">
    <h1>Control</h1>

    <div class="control">
      <div class="border-with-white-bg border-form control-form">
        <form>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Inlet/Outlet Duct</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <select name="InletOutletDuct" [(ngModel)]="materialControl.InletOutletDuct" placeholder="Select Duct" class="select-with-icon">
                <option>Select duct..</option>
                <option value="0">Free inlet,ducted outlet</option>
                <option value="1">Free outlet,ducted inlet</option>
                <option value="2">Ducted inlet and outlet</option>
              </select>
            </div>
          </div>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Single/Double Width</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <button [ngClass]="(materialControl.Width==1) ? 'btn-green' : 'btn-gray'" (click)="widthOnClick(1)">Single</button>
              <button [ngClass]="(materialControl.Width==2) ? 'btn-green' : 'btn-gray'" (click)="widthOnClick(2)">Double</button>
            </div>
          </div>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Fan Type</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <select placeholder="Select" #fanType="ngModel" name="fanType" class="select-with-icon" [(ngModel)]="materialControl.FanType"
                *ngIf="materialControl.Width==1">
                <option *ngFor="let x of singleFanType">
                  {{x.name}}
                </option>
              </select>
              <select placeholder="Select" #fanType="ngModel" name="fanType" class="select-with-icon" [(ngModel)]="materialControl.FanType"
                *ngIf="materialControl.Width==2">
                <option *ngFor="let x of doubleFanType">
                  {{x.name}}
                </option>
              </select>
            </div>
          </div>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Control</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <select placeholder="Select Control" #control="ngModel" name="control" [(ngModel)]="materialControl.Control" class="select-with-icon">
                <option value="0">None</option>
                <option value="1">Speed Control</option>
                <option value="2">Inlet Vane Control</option>
                <option value="3">Damper Control</option>
              </select>
            </div>
          </div>
          <div class="form-row tab-main" *ngIf="materialControl.Control == 2">
            <div class="col-sm-3 tab-cell">
              <label>IVC Position at design load 90c</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <span class="break">
                <label class="switch">
                  <input name="ivcposition" [(ngModel)]="materialControl.IVCPosition" type="checkbox">
                  <span class="slider round"></span>
                </label>
              </span>
            </div>
          </div>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Mechanical Design Temp[Deg'C]</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <input type="number" name="materialdesigntemp" (change)="onChangeMechanicalDesignTemp($event)" [(ngModel)]="materialControl.MechanicalDesignTemperature"
                placeholder="DF/019284/2017" />
            </div>
          </div>
          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Standard Impeller Material</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <span class="break">
                <label class="switch">
                  <input name="standardimpellermaterial" type="checkbox" [(ngModel)]="materialControl.StandardImpellerMaterial" />
                  <!-- <input type="checkbox" [(ngModel)]="materialControl.StandardImpellerMaterial" checked="checked" /> -->
                  <span class="slider round"></span>
                </label>
              </span>
            </div>
          </div>
          <!-- <div *ngIf="!materialControl.StandardImpellerMaterial" class=" form-row tab-main ">
            <div class="col-sm-3 tab-cell ">
              <label>Standard Impeller Material</label>
            </div>
            <div class="col-sm-9 tab-cell ">
              <span class="break ">
                <label class="switch ">
                  <input type="checkbox ">
                  <span class="slider round "></span>
                </label>
              </span>
            </div>
          </div> -->
          <div *ngIf="!materialControl.StandardImpellerMaterial">
            <div class="form-row tab-main">
              <div class="col-sm-3 tab-cell">
                <label>Material Name</label>
              </div>
              <div class="col-sm-9 tab-cell">
                <input name="materialname" [(ngModel)]="materialControl.MaterialName" type="text" placeholder="0" />
              </div>
            </div>
            <div class="form-row tab-main">
              <div class="col-sm-3 tab-cell">
                <label>
                  Material Density[kg/dm*3]</label>
              </div>
              <div class="col-sm-9 tab-cell">
                <input name="MaterialDensity" [(ngModel)]="materialControl.MaterialDensity" type="number" placeholder="0" />
              </div>
            </div>
            <div class="form-row tab-main">
              <div class="col-sm-3 tab-cell">
                <label>Material Yield Strength[N/mm*2]</label>
              </div>
              <div class="col-sm-9 tab-cell">
                <input name="MaterialYieldStrength" [(ngModel)]="materialControl.MaterialYieldStrength" type="number" placeholder="0" />
              </div>
            </div>

          </div>

          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Drive</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <button [class]="selections.drive === 'vBelt' ? 'btn-green' : 'btn-gray'" (click)="setDrive('vBelt')">V-Belt</button>
              <button [class]="selections.drive === 'direct' ? 'btn-green' : 'btn-gray'" (click)="setDrive('direct')">Direct</button>
            </div>
          </div>

          <div *ngIf="selections.drive === 'direct'">

            <div class="form-row tab-main">
              <div class="col-sm-3 tab-cell">
                <label>Hertz</label>
              </div>
              <div class="col-sm-9 tab-cell">
                <div class="radio-inline">
                  <input type="radio" name="hertz" id="r1" value="Standard" [(ngModel)]="selections.hertz" />
                  <label for="r1">
                    <span></span>Standard</label>
                </div>
                <div class="radio-inline">
                  <input type="radio" name="hertz" id="r2" value="Non Standard" [(ngModel)]="selections.hertz" />
                  <label for="r2">
                    <span></span>Non Standard</label>
                </div>
              </div>
            </div>
            <div class="form-row tab-main">
              <div class="col-sm-3 tab-cell">
                <label>IEC Standard Motor</label>
              </div>
              <div class="col-sm-9 tab-cell">
                <span class="break">
                  <label class="switch">
                    <input type="checkbox" checked>
                    <span class="slider round"></span>
                  </label>
                </span>
              </div>
            </div>
            <div *ngIf="selections.drive ==='direct' && selections.hertz ==='Standard' || selections.hertz ==='Non Standard' " class="form-row tab-main">
              <div class="col-sm-3 tab-cell">
                <label>Nominal Motor Speed</label>
              </div>
              <div class="col-sm-9 tab-cell">
                <select placeholder="Select Motor Speed" class="select-with-icon">
                  <option>Select Motor Speed</option>
                  <option>1.20</option>
                  <option>2.25</option>
                  <option>3.4</option>
                </select>
              </div>
            </div>
            <div *ngIf="selections.drive ==='direct' &&  selections.hertz ==='Non Standard' " class="form-row tab-main">
              <div class="col-sm-3 tab-cell">
                <label>Motor Speed</label>
              </div>
              <div class="col-sm-9 tab-cell">
                <input type="text" name="Speed" [(ngModel)]="materialControl.MotorSpeed" placeholder="10mh" #motorSpeed="ngModel" />
              </div>
            </div>
            <div *ngIf="selections.drive ==='direct' &&  selections.hertz ==='Non Standard' " class="form-row tab-main">
              <div class="col-sm-3 tab-cell">
                <label>Motor Power</label>
              </div>
              <div class="col-sm-9 tab-cell">
                <input type="text" name="power" [(ngModel)]="materialControl.MotorPower" placeholder="1000T" #motorPower="ngModel" />
              </div>
            </div>
          </div>


          <div class="form-row tab-main">
            <div class="col-sm-3 tab-cell">
              <label>Noise Data Required</label>
            </div>
            <div class="col-sm-9 tab-cell">
              <span class="break">
                <label class="switch">
                  <input name="noisedatarequired" type="checkbox" [(ngModel)]="materialControl.NoiseDataRequired">
                  <span class="slider round"></span>
                </label>
              </span>
            </div>
          </div>

        </form>
      </div>
      <div class="mgt-15 row btm-btns">
        <div class="col-sm-4">
          <span class="selected">
            <i class="fa fa-circle"></i> Selected</span>
          <span class="not-selected mgl-20">
            <i class="fa fa-circle"></i> Not Selected</span>
        </div>
        <div class="col-sm-8 text-right">
          <button type="button" class="btn-green" (click)="goToPrevious.emit()">Previous</button>
          <button *ngIf="materialControl.NoiseDataRequired" type="button" class="btn-green" (click)="goToNext.emit()">Next</button>
          <button type="button" *ngIf="!materialControl.NoiseDataRequired" (click)="submitFanProject.emit()" class="btn-green">
            <i *ngIf="isSubmitting" class="fa fa-spinner fa-pulse"></i> Submit</button>
        </div>
      </div>
    </div>

  </div>
</div>
